NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Attributes | List of all members
better_enums::optional< T > Struct Template Reference
Collaboration diagram for better_enums::optional< T >:
[legend]

## Public Member Functions
BETTER_ENUMS_CONSTEXPR_ | optional (T v)
BETTER_ENUMS_CONSTEXPR_ const T & | operator* () const
BETTER_ENUMS_CONSTEXPR_ const T * | operator-> () const
BETTER_ENUMS_CONSTEXPR_ | operator bool () const
BETTER_ENUMS_CONSTEXPR_ const T & | value () const

## Private Attributes
bool | _valid
T | _value

## Detailed Description

template<typename T>
struct better_enums::optional< T >

Definition at line 289 of file NeEnum.h.

## Constructor & Destructor Documentation

## ◆ optional() [1/2]

template<typename T >

BETTER_ENUMS_CONSTEXPR_ better_enums::optional< T >::optional | ( |  | ) |
| inline

Definition at line 290 of file NeEnum.h.

## ◆ optional() [2/2]

template<typename T >

BETTER_ENUMS_CONSTEXPR_ better_enums::optional< T >::optional | ( | T | v | ) |
| inline

Definition at line 293 of file NeEnum.h.

## Member Function Documentation

## ◆ operator*()

template<typename T >

BETTER_ENUMS_CONSTEXPR_ const T & better_enums::optional< T >::operator* | ( |  | ) | const
| inline

Definition at line 295 of file NeEnum.h.

## ◆ operator->()

template<typename T >

BETTER_ENUMS_CONSTEXPR_ const T * better_enums::optional< T >::operator-> | ( |  | ) | const
| inline

Definition at line 296 of file NeEnum.h.

## ◆ operator bool()

template<typename T >

BETTER_ENUMS_CONSTEXPR_ better_enums::optional< T >::operator bool | ( |  | ) | const
| inline

Definition at line 298 of file NeEnum.h.

## ◆ value()

template<typename T >

BETTER_ENUMS_CONSTEXPR_ const T & better_enums::optional< T >::value | ( |  | ) | const
| inline

Definition at line 300 of file NeEnum.h.

## Member Data Documentation

## ◆ _valid

template<typename T >

bool better_enums::optional< T >::_valid
| private

Definition at line 303 of file NeEnum.h.

## ◆ _value

template<typename T >

T better_enums::optional< T >::_value
| private

Definition at line 304 of file NeEnum.h.

The documentation for this struct was generated from the following file:

- NeEnum.h